import request from '@/utils/request'

// 查询公安公告-行政处罚信息列表
export function listAnnouncement(query) {
    return request({
        url: '/crmPunishPublicSecurityAnnouncement/findByPage',
        method: 'get',
        params: query
    })
}

// 查询公安公告-行政处罚信息详细
export function getAnnouncement(id) {
    return request({
        url: '/crmPunishPublicSecurityAnnouncement/' + id,
        method: 'get'
    })
}

// 新增公安公告-行政处罚信息
export function addAnnouncement(data) {
    return request({
        url: '/crmPunishPublicSecurityAnnouncement',
        method: 'post',
        data: data
    })
}

// 修改公安公告-行政处罚信息
export function updateAnnouncement(data) {
    return request({
        url: '/crmPunishPublicSecurityAnnouncement',
        method: 'put',
        data: data
    })
}

// 删除公安公告-行政处罚信息
export function delAnnouncement(id) {
    return request({
        url: '/crmPunishPublicSecurityAnnouncement/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delAnnouncementBatch(ids) {
    console.log(ids);
    return request.post('/crmPunishPublicSecurityAnnouncement/delete',ids)
}